Subject: Re: bug#51819: The Senselessness of Emacs Company Mode

From: Richard Stallman <[email-masked]>
Date: Sun, 14 Nov 2021 23:53:14 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > I am installing Company Mode so I can use auto completion.  Let me
  > > show you how beautiful that is using the emacs way.  For most people,
  > > they do "M-x list-packages" and search for "company".  They get about
  > > 70 matches for "company-mode" which add compatibility for other modes.

  > I think most people are able to figure out that they should add the
  > package called "company" if they want to install Company.

Why do people use the term "Company Mode", if its name is simply
"Company"?  I get the impression the former is a misnomer.  Is it a
misnomer?

If it is a misnomer, do we say anything that encourages it?  We could
change what we say, so as to avoid promoting the term "Company mode".

Maybe we should write it as "Comp-any" to make the meaning clear.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)